#ifndef MAIN_H
#define MAIN_H


#define DEVICE_NAME CONFIG_BT_DEVICE_NAME
#define DEVICE_NAME_LEN (sizeof(DEVICE_NAME)-1)
#ifndef SENSOR_DATA_LEN
#define SENSOR_DATA_LEN 16
#endif

#define STACKSIZE CONFIG_BT_NUS_THREAD_STACK_SIZE
#define PRIORITY 7
#define SENSOR_STACKSIZE 512
#define SENSOR_THREAD_PRIORITY 4
#define MESSAGE_THREAD_PRIORITY 2
#define SENSOR_NUM_THREADS 14
#define SENSOR_THREAD_STARTUP_DELAY 1000

#define UART_BUF_SIZE CONFIG_BT_NUS_UART_BUFFER_SIZE
#define UART_WAIT_FOR_BUF_DELAY K_MSEC(50)
#define UART_WAIT_FOR_RX CONFIG_BT_NUS_UART_RX_WAIT_TIME

//UARTE
#define UART_TX_BUFFER_SIZE 64
#define UART_RX_BUFFER_SIZE 12
#define UART_TX_FIFO_BUFFER_SIZE 64
#define UART_RX_FIFO_BUFFER_SIZE 4
#define UARTE_MODE_RS232 0
#define UARTE_MODE_RS485 1
#define UARTE_RS232_RX_PIN 23
#define UARTE_RS232_TX_PIN 22
#define UARTE_RS485_RX_PIN 25
#define UARTE_RS485_TX_PIN 27
#define UARTE_RS485_RXTX_PIN 26
#define UART_SEND_PRIORITY 12


void calibrate_analog_inputs(void);
void read_uart_input(char *buf);

#endif